package ap.terfor;

/**
 * Extension of <code>Sorted</code> where also the actual <code>TermOrder</code>
 * can be queried
 */
trait SortedWithOrder[+T] extends Sorted[T] {

  def order : TermOrder
  
  def isSortedBy(otherOrder : TermOrder) : Boolean =
    (order isSubOrderOf otherOrder)
  
}
